OpenTTD

Public Member Functions | Data Fields
NewsTypeData Struct Reference

Per-NewsType data. More...

`#include <news_type.h>`

## Public Member Functions
| NewsTypeData (const char *name, byte age, SoundFx sound)
| Construct this entry. More...
NewsDisplay | GetDisplay () const
| Return the news display option. More...

## Data Fields
const char *const | name
| Name.
const byte | age
| Maximum age of news items (in days)
const SoundFx | sound
| Sound.

## Detailed Description

Per-NewsType data.

Definition at line 112 of file news_type.h.

## Constructor & Destructor Documentation

## ◆ NewsTypeData()

NewsTypeData::NewsTypeData | ( | const char * | name,
|  | byte | age,
|  | SoundFx | sound
| ) |  |
| inline

Construct this entry.

Parameters

  name | The name of the type.
  age | The maximum age for these messages.
  sound | The sound to play.

Definition at line 123 of file news_type.h.

References GetDisplay().

## Member Function Documentation

## ◆ GetDisplay()

NewsDisplay NewsTypeData::GetDisplay | ( |  | ) | const

Return the news display option.

Returns
  display options

Definition at line 249 of file news_gui.cpp.

References GetSettingFromName(), and name.

Referenced by MoveToNextItem(), NewsTypeData(), and ShowLastNewsMessage().

The documentation for this struct was generated from the following files:

- src/news_type.h
- src/news_gui.cpp